#include <iostream>
using namespace std;

class area_cl {
public:
	double height;
	double width;
};


class rectangle : public area_cl {
public:
	double area();
	rectangle(double h, double w);
};

class isosceles : public area_cl {
public:
	double area();
	isosceles(double h, double w);
};

int main()
{
	rectangle rect(2.5, 4);
	cout << "rectangle width:" << rect.width << " height:" << rect.height
	 << " area:" << rect.area() << endl;
	isosceles isos(4.0, 3);
	cout << "isosceles width:" << isos.width << " height:" << isos.height
	 << " area:" << isos.area() << endl;

	return 0;	
}

rectangle::rectangle(double h, double w)
{
	height = h;
	width = w;
}

isosceles::isosceles(double h, double w)
{
	height = h;
	width = w;
}

double rectangle::area()
{
	return height * width;
}

double isosceles::area()
{
	return height * width / 2;
}